package classes;

import java.util.ArrayList;

/**
 * The class "CpsNode" represents empty Objects in the system. They are just
 * nodes between Objects
 * 
 * @author Gruppe14
 *
 */
public class CpsNode extends AbstractCpsObject {
	
	/**
	 * Create a new node in the system with an user-defined name.
	 * 
	 * @param objName
	 *            String
	 */
	public CpsNode(String objName) {
		super(objName);
		this.setConnections(new ArrayList<CpsEdge>());
		this.setImage("/Images/node.png");
		this.setSav("CVS");
		this.setID(IdCounter.nextId());
	}
}
